#ifndef __GFX_H__
#define __GFX_H__

extern Uint8 scale;
extern SDL_Surface *screen;
extern Uint8 gfx_flags;

enum {
	GFX_FULLSCREEN = 1<<0,
	GFX_CANDRAW = 1<<1,
	GFX_WIIDATA = 1<<2
};

void Gfx_Init(void);
void Gfx_ReInit(void);
void Gfx_Update(void);
SDL_Surface *Gfx_Load(const char *name, bool *wii, bool allow_wii);
SDL_Surface *Gfx_LoadXPM(char *xpm[]);
SDL_Surface *Gfx_Scale(SDL_Surface *surf, Uint8 scale);
SDL_Surface *Gfx_HFlip(SDL_Surface *surf);
SDL_Surface *Gfx_HWSurf(SDL_Surface *surf);

#endif
